Fornecido por Keepa
Encontrar vendedores da Amazon por empresa, avaliações e filtros de vitrine
Encontrar vendedores da Amazon no banco de dados de comerciantes da Keepa por nome, dados comerciais, país, avaliações, atendimento e perfil de vitrine. Retorna uma página com 50 a 100 IDs de vendedores e totalResults. Forneça pelo menos um filtro; os perfis dos vendedores exigem uma consulta separada.
Como executar
Etapa 1Configurar
Uma vez: cole isto no chat do seu agente. O Skill instala a CLI e faz login sozinho. Para um agente que não pode usar um shell, conecte-o pelo MCP.
set up https://glasser.ai/SKILL.md
Show me how to use the Keepa endpoint /sellerquery on Glasser.glasser run -p keepa -e '/sellerquery' -i '{"domain":1,"selection":{"hasFBA":true,"perPage":50}}' --endpoint-version 1Usa a versão 1 do endpoint. Consulte o preço atual antes de executar. Instale e faça login primeiro em Get Started.
Uma vez por Run:
IDEMPOTENCY_KEY=$(uuidgen)Execute e copie este mesmo bloco para enviá-lo novamente:
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"keepa","endpoint":"/sellerquery","input":{"domain":1,"selection":{"hasFBA":true,"perPage":50}},"endpoint_version":1}'Reutilize a mesma Idempotency-Key para enviar novamente: o segundo envio é uma leitura do primeiro Run. Uma nova chave cria um novo Run e um novo Charge. Usa a versão 1 do endpoint; consulte o preço atual antes de executar.
Etapa 2Experimente uma tarefa de exemplo específica
Quando precisar avaliar um produto antes de comprar, você pode comparar os detalhes disponíveis com seus requisitos para decidir o que precisa ser analisado mais de perto.
Copie este prompt no seu agente para analisar um produto com base nos seus requisitos de compra.
Use keepa:/sellerquery on Glasser.
Check this product against my buying requirements using the details actually returned.Estrutura do endpoint
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"domain",
"selection"
],
"properties": {
"domain": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11
],
"type": "number"
},
"selection": {
"type": "object",
"properties": {
"page": {
"type": "integer",
"maximum": 199,
"minimum": 0
},
"sort": {
"type": "array",
"items": {
"type": "array",
"items": [
{
"enum": [
"sellerId",
"sellerName",
"businessName",
"currentRating",
"currentRatingCount",
"ratingCount30",
"ratingCount90",
"ratingCount365",
"ratingCountLifetime",
"positiveRating30",
"positiveRating90",
"positiveRating365",
"positiveRatingLifetime",
"neutralRating30",
"neutralRating90",
"neutralRating365",
"neutralRatingLifetime",
"negativeRating30",
"negativeRating90",
"negativeRating365",
"negativeRatingLifetime",
"ratingCountDelta30",
"ratingCountDelta90",
"ratingCountDelta365",
"ratingDelta30",
"ratingDelta90",
"ratingDelta365",
"lastRatingUpdate",
"lastFeedbackDate",
"lastSeenOffer",
"lastSeenFbaOffer",
"totalStorefrontAsins",
"avgBuyBoxCompetitors",
"buyBoxNewOwnershipRate",
"buyBoxUsedOwnershipRate",
"primaryRootCategoryProductCount",
"primaryBrandProductCount",
"topCompetitorPercent",
"productCountWithAmazonOffer",
"avg30SalesRank",
"trackedSince"
],
"type": "string"
},
{
"enum": [
"asc",
"desc"
],
"type": "string"
}
],
"maxItems": 2,
"minItems": 2
},
"maxItems": 3,
"minItems": 1
},
"email": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"vatID": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"brands": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"hasFBA": {
"type": "boolean"
},
"search": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"address": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"perPage": {
"type": "integer",
"maximum": 100,
"minimum": 50
},
"domainId": {
"type": "array",
"items": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11
],
"type": "number"
},
"maxItems": 10,
"minItems": 1
},
"isAmazon": {
"type": "boolean"
},
"minMatch": {
"type": "object",
"properties": {
"email": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"vatID": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"brands": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"domainId": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"sellerId": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"phoneNumber": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"tradeNumber": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"businessType": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"primaryBrand": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"addressCountry": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"representative": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"competitorSellerIds": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"primaryRootCategory": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"topCompetitorSellerId": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"rootCategories_exclude": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"rootCategories_include": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"customerServicesAddressCountry": {
"type": "integer",
"maximum": 50,
"minimum": 1
}
},
"additionalProperties": false
},
"sellerId": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"activeOnly": {
"type": "boolean"
},
"isNotFound": {
"type": "boolean"
},
"sellerName": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"phoneNumber": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"tradeNumber": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"businessName": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"businessType": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"primaryBrand": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"addressCountry": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"representative": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"trackedSince_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"trackedSince_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"currentRating_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"currentRating_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastSeenOffer_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastSeenOffer_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"avg30SalesRank_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"avg30SalesRank_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"hasBusinessDetails": {
"type": "boolean"
},
"ratingCount365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCount365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingDelta365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"competitorSellerIds": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"neutralRating30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryRootCategory": {
"type": "array",
"items": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"maxItems": 50,
"minItems": 1
},
"lastFeedbackDate_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastFeedbackDate_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastRatingUpdate_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastRatingUpdate_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastSeenFbaOffer_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"lastSeenFbaOffer_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRating365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRating365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRating365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"topCompetitorSellerId": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"currentRatingCount_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"currentRatingCount_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta30_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta30_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta90_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta90_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"rootCategories_exclude": {
"type": "array",
"items": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"maxItems": 50,
"minItems": 1
},
"rootCategories_include": {
"type": "array",
"items": {
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
"maxItems": 50,
"minItems": 1
},
"ratingCountDelta365_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountDelta365_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountLifetime_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"ratingCountLifetime_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"avgBuyBoxCompetitors_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"avgBuyBoxCompetitors_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"topCompetitorPercent_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"topCompetitorPercent_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"totalStorefrontAsins_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"totalStorefrontAsins_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRatingLifetime_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"neutralRatingLifetime_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"buyBoxNewOwnershipRate_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"buyBoxNewOwnershipRate_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRatingLifetime_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"negativeRatingLifetime_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRatingLifetime_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"positiveRatingLifetime_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"buyBoxUsedOwnershipRate_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"buyBoxUsedOwnershipRate_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryBrandProductCount_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryBrandProductCount_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"customerServicesAddressCountry": {
"type": "array",
"items": {
"type": "string",
"maxLength": 1000,
"minLength": 1
},
"maxItems": 50,
"minItems": 1
},
"productCountWithAmazonOffer_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"productCountWithAmazonOffer_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryRootCategoryProductCount_gte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
},
"primaryRootCategoryProductCount_lte": {
"type": "integer",
"maximum": 2147483647,
"minimum": -2147483648
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}{
"domain": 1,
"selection": {
"hasFBA": true,
"perPage": 50
}
}Este endpoint não publica um esquema de saída. Você recebe o corpo da resposta do próprio provedor de dados, sem alterações — não garantimos um formato que não podemos assegurar.
Como funciona a cobrança
| Dados retornados ou nenhuma correspondência | O mesmo preço com ou sem dados correspondentes. | $0.015835 |
|---|---|---|
| Erro do provedor de dados | O provedor de dados não conseguiu responder. | $0.00 |
| Tempo limite excedido | O Run excedeu seu limite de tempo. | $0.00 |
| Falha interna | Um erro interno impediu a conclusão. | $0.00 |